Subject: bug#23369: 25.0.93; CANNOT_DUMP build fails if resizing terminal during startup in tty mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Apr 2016 13:01:33 +0300

> Date: Mon, 25 Apr 2016 11:43:02 +0200
> From: Fredrik Fornwall <[email-masked]>
> Cc: [email-masked]
> 
> Some reasons causing terminal resize during startup:
> (1) If running emacs on Android
> (http://endlessparentheses.com/running-emacs-on-android.html), you may
> want to show the (or switch to another) touch keyboard, which causes a
> terminal resize. Android also forces CANNOT_DUMP since binaries needs
> to be position-independent, and startup is also slower due to running
> on mobile devices, so the window of opportunity increases.
> (2) One wants to resize the terminal to e.g. put the terminal window
> with emacs besides another window, or maximize the window.
> (3) One wants to change font size when jumping from the terminal into emacs.
> 
> If one knows that emacs crashes if resizing during startup it's easy
> to wait for startup to complete before doing any of the above.
> 
> The problem is that most new users won't know that, and a message
> like"function definition is void: internal-echo-keystrokes-prefix"
> won't help them understand it either, and they will instead need
> support (or give up using emacs).

Well, if someone could provide a backtrace showing how these errors
are triggered by resizing the frame, perhaps this could be fixed.

Thanks.